
if(FALSE){
  
  library(gridio)
  "X:/Anthill/BadGridZoo/" 
  "Z:/Users/Kathy/LD Analysis/raw_grids_for_predict/crv_c3_30m_d1"
  
  
  mtg  <- "X:/Anthill/BadGridZoo/Kryptonite/ras366"
  x <- mtg
  ismultitiled(mtg)
  ismultitiled("Z:/Users/Kathy/LD Analysis/raw_grids_for_predict/crv_c3_30m_d1")
  
  x <- "Z:/Users/Kathy/LD Analysis/raw_grids_for_predict/crv_c3_30m_d1"
  x <- 
    
    checkgrid("Z:/Users/Ethan/temp/crv_c3_30m_d1")
  
  
  
  x <- "Z:/LCC/GIS/Future/baseline2/1/Anthropogenic/t6prob/t6prob01/t6prob0119/t6prob0119"
  
  checkgrid(x)
}




checkgrid <- function(x, test = TRUE, pathonly = FALSE){
  result <- list()
  x <- gsub("\\\\", "/", x)  # enforce "/"
  x <- gsub("/$", "", x)  # drop trailing "/"
  name <- gsub("^.*/", "", x)
  pdir <- gsub("/[^/]*$", "", x) # parent dir
  
  if(!pathonly)
    result$`file missing` <- !file.exists(x)
  
  result$`name too long` <- nchar(name) > 13
  
  if(!pathonly)
    result$`is multitiled` <- ismultitiled(x)
  
  result$`illegal character in name` <- grepl("[^[:digit:][:alpha:]_+-]", name) # numbers, letters, "-", "_", "+" are allowed
  result$`space in path` <- grepl("[[:blank:]]", x)
  result$`path too long` <- nchar(x) > 128
  result$`path dangerously long` <- nchar(x) > 115

  if(pathonly){
    result$`parent directory missing` <- !file.exists(pdir)
  
  } else {
    info.path <- paste0(pdir, "/info")
    result$`info dir missing` <- !file.exists(info.path)
  
    component.files <- paste0(x, "/",   c("dblbnd.adf", "hdr.adf", 
                                          "sta.adf", "w001001.adf", 
                                          "w001001x.adf"))
    result$`component files missing` <- !all(file.exists(component.files))
  } 
  
  
  result$problem <- any(unlist(result))
  if(!test || result$problem || pathonly)
    return(result)
  
  
  # These last two tests rely on gridio and the ESRI's C++ API 
  # they are only performed if all the prior tests passed as grids that fail the above test
  # might cause hard crashes. 
  
  oc <- saveconnections()
  on.exit(restoreconnections)
  gridinit()
  
  a <- tryCatch({
    d <- griddescribe(x)
  }, error = function(e) e )
  
  if(inherits(a, "error")) {
    result$`failed decribe` <- TRUE
  } else {
    result$`failed describe` <- FALSE  
  }
  
  
  result$`grid describe reports missing grid`  <- d$type == "missing"
  
  result$problem <- NULL
  result$problem <- any(unlist(result))
  if(result$problem) return(result)
  
  setwindow(x)
  
  a <- tryCatch({
    b <- readblock(path = x, startrow = 1, startcol = 1, nrow = min(5, d$nrow), ncol = min(5, d$ncol))
  }, error = function(e)e)  
  if(inherits(a, "error")) {
    result$`failed read test` <- TRUE
  } else {
    result$`failed read test` <- FALSE  
  }
  
  
  
  result$problem <- NULL  # so that "problem" is last item
  result$problem <- any(unlist(result))
  
  return(result)
  
}
