clipna <-
function(matrix, expand=0, as.integer=FALSE){

 y.count <- as.integer(nrow(matrix))
 x.count <- as.integer(ncol(matrix))
 clip.box <- as.integer(1:4)
if(as.integer){
r <- .C("R_clip_int", integer(1), as.integer(y.count), as.integer(x.count), as.integer(t(matrix)), as.integer(clip.box), PACKAGE="caps_lib")
} else {
r <- .C("R_clip_dbl", integer(1), as.integer(y.count), as.integer(x.count), as.double(t(matrix)), as.integer(clip.box), PACKAGE="caps_lib")
}
parseerror(r[[1]], "clip")
clip.box <- r[[5]]
      # array of coordinates for the smallest rectangle
        # that encloses [all?] non-zero values as follows:                    
        #clip_box[1] - the first row that includes a non-zero value  
        #clip_box[2] - the last row that includes a non-zero value  
        #clip_box[3] - the first column that includes a non-zero value
        #clip_box[4] - the last column that includes a non-zero value
        clip.box[c(1,3)] <- clip.box[c(1,3)] - expand
        clip.box[c(2,4)] <- clip.box[c(2,4)] + expand
        names(clip.box) <- c("r1", "r2", "c1", "c2")
clip.box
}

