crop.matrix <-
function(x, buffer, ...){
# crop.matrix   Ethan Plunkett    January 2011
#  This function crops buffer cells off the edges of matrix x
  if(nrow(x) <= 2*buffer || ncol(x) <= 2*buffer) 
    stop("The buffer is wider than half the matrix.  Nothing left.")
  x[(buffer+1):(nrow(x)-buffer), (buffer+1):(ncol(x)-buffer), drop=FALSE] 
}

