.errtable <- 
structure(list(error = structure(c(29L, 26L, 24L, 25L, 23L, 28L, 
27L, 101L, 97L, 98L, 99L, 100L, 22L, 17L, 18L, 16L, 19L, 15L, 
21L, 20L, 14L, 9L, 10L, 8L, 11L, 7L, 13L, 12L, 175L, 173L, 174L, 
150L, 149L, 145L, 147L, 144L, 146L, 148L, 143L, 36L, 32L, 33L, 
31L, 30L, 34L, 35L, 6L, 5L, 4L, 3L, 2L, 1L, 107L, 104L, 102L, 
103L, 105L, 106L, 142L, 139L, 140L, 141L, 137L, 136L, 138L, 135L, 
134L, 131L, 132L, 133L, 129L, 128L, 130L, 127L, 159L, 155L, 157L, 
156L, 154L, 151L, 153L, 158L, 152L, 41L, 40L, 37L, 39L, 38L, 
79L, 67L, 68L, 72L, 77L, 76L, 73L, 74L, 69L, 70L, 78L, 71L, 75L, 
118L, 117L, 116L, 172L, 169L, 170L, 171L, 168L, 81L, 80L, 115L, 
112L, 114L, 111L, 113L, 110L, 108L, 109L, 167L, 163L, 165L, 162L, 
164L, 161L, 160L, 166L, 51L, 50L, 49L, 87L, 82L, 86L, 85L, 84L, 
83L, 54L, 53L, 52L, 66L, 57L, 58L, 59L, 65L, 64L, 55L, 56L, 62L, 
60L, 61L, 63L, 48L, 44L, 45L, 47L, 46L, 43L, 42L, 126L, 121L, 
122L, 123L, 125L, 124L, 120L, 119L, 96L, 92L, 93L, 95L, 94L, 
91L, 90L, 89L, 88L, 194L, 193L, 190L, 192L, 191L, 185L, 181L, 
182L, 183L, 180L, 184L, 186L, 187L, 176L, 178L, 189L, 177L, 179L, 
188L), .Label = c("ERR_CLIP_ALL_ZERO_DATA", "ERR_CLIP_BAD_CLIP_BOX", 
"ERR_CLIP_BAD_TARGET", "ERR_CLIP_BAD_X_COUNT", "ERR_CLIP_BAD_Y_COUNT", 
"ERR_CLIP_UNKNOWN", "ERR_CONNECT_RESCALE_MATRIX_BAD_BENCH", "ERR_CONNECT_RESCALE_MATRIX_BAD_H", 
"ERR_CONNECT_RESCALE_MATRIX_BAD_I", "ERR_CONNECT_RESCALE_MATRIX_BAD_J", 
"ERR_CONNECT_RESCALE_MATRIX_BAD_KERNEL", "ERR_CONNECT_RESCALE_MATRIX_BAD_RESULT", 
"ERR_CONNECT_RESCALE_MATRIX_BAD_TEMPLATE", "ERR_CONNECT_RESCALE_MATRIX_UNKNOWN", 
"ERR_CONNECT_RESCALE_SCALAR_BAD_BENCH", "ERR_CONNECT_RESCALE_SCALAR_BAD_H", 
"ERR_CONNECT_RESCALE_SCALAR_BAD_I", "ERR_CONNECT_RESCALE_SCALAR_BAD_J", 
"ERR_CONNECT_RESCALE_SCALAR_BAD_KERNEL", "ERR_CONNECT_RESCALE_SCALAR_BAD_RESULT", 
"ERR_CONNECT_RESCALE_SCALAR_BAD_TEMPLATE", "ERR_CONNECT_RESCALE_SCALAR_UNKNOWN", 
"ERR_EUDIST_BAD_FOCAL", "ERR_EUDIST_BAD_I", "ERR_EUDIST_BAD_J", 
"ERR_EUDIST_BAD_N", "ERR_EUDIST_BAD_RESULT", "ERR_EUDIST_BAD_TARGET", 
"ERR_EUDIST_UNKNOWN", "ERR_FILEINFO_BAD_DISK_FREE_PTR", "ERR_FILEINFO_BAD_FILE_SIZE_PTR", 
"ERR_FILEINFO_BAD_PATH_PTR", "ERR_FILEINFO_BAD_TIMESTAMP_PTR", 
"ERR_FILEINFO_FILE_NOT_FOUND", "ERR_FILEINFO_PATH_TOO_LONG", 
"ERR_FILEINFO_UNKNOWN", "ERR_FLOYD_WARSHALL_BAD_DISTANCE_MATRIX", 
"ERR_FLOYD_WARSHALL_BAD_INPUT_VALUES_IN_MATRIX", "ERR_FLOYD_WARSHALL_BAD_MATRIX_TYPE", 
"ERR_FLOYD_WARSHALL_BAD_NODE_COUNT", "ERR_FLOYD_WARSHALL_UNKNOWN", 
"ERR_GETWINDOW_BAD_BLOCK_ONLY", "ERR_GETWINDOW_BAD_CELL_SIZE", 
"ERR_GETWINDOW_BAD_I", "ERR_GETWINDOW_BAD_J", "ERR_GETWINDOW_BAD_XLL", 
"ERR_GETWINDOW_BAD_YLL", "ERR_GETWINDOW_UNKNOWN", "ERR_GRIDCOPY_BAD_DST_GRID_NAME", 
"ERR_GRIDCOPY_BAD_SRC_GRID_NAME", "ERR_GRIDCOPY_UNKNOWN", "ERR_GRIDCREATE_BAD_CELL_TYPE", 
"ERR_GRIDCREATE_BAD_GRID_NAME", "ERR_GRIDCREATE_UNKNOWN", "ERR_GRIDDESCRIBE_BAD_CELL_SIZE", 
"ERR_GRIDDESCRIBE_BAD_CELL_TYPE", "ERR_GRIDDESCRIBE_BAD_GRID_NAME", 
"ERR_GRIDDESCRIBE_BAD_I", "ERR_GRIDDESCRIBE_BAD_J", "ERR_GRIDDESCRIBE_BAD_STAT_MAX", 
"ERR_GRIDDESCRIBE_BAD_STAT_MEAN", "ERR_GRIDDESCRIBE_BAD_STAT_MIN", 
"ERR_GRIDDESCRIBE_BAD_STAT_STDDEV", "ERR_GRIDDESCRIBE_BAD_XLL", 
"ERR_GRIDDESCRIBE_BAD_YLL", "ERR_GRIDDESCRIBE_UNKNOWN", "ERR_GRIDINIT_BAD_IO_MODE", 
"ERR_GRIDINIT_BAD_SOURCE_NAME", "ERR_GRIDINIT_GSVR_CLIENT_CANNOT_CREATE", 
"ERR_GRIDINIT_GSVR_CLIENT_EXCEPTION_UNKNOWN", "ERR_GRIDINIT_GSVR_NO_RESPONSE", 
"ERR_GRIDINIT_IO_ALREADY_SET", "ERR_GRIDINIT_LOCAL_EXCEPTION_UNKNOWN", 
"ERR_GRIDINIT_LOCAL_INITIALIZE_FAILED", "ERR_GRIDINIT_LOCAL_NO_RESPONSE", 
"ERR_GRIDINIT_NO_CONNECTION", "ERR_GRIDINIT_NO_SERVER_NAME", 
"ERR_GRIDINIT_NOT_INITIALIZED", "ERR_GRIDINIT_UNKNOWN", "ERR_GRIDKILL_BAD_GRID_NAME", 
"ERR_GRIDKILL_UNKNOWN", "ERR_GRIDLIST_BAD_GRID_LIST", "ERR_GRIDLIST_BAD_GRID_LIST_FOLDER", 
"ERR_GRIDLIST_GRID_LIST_INSUFFICIENT", "ERR_GRIDLIST_GRID_LIST_TOO_LONG", 
"ERR_GRIDLIST_GRID_LIST_TOO_SHORT", "ERR_GRIDLIST_UNKNOWN", "ERR_GRIDSERVER_RETIRE_BAD_IO_MODE", 
"ERR_GRIDSERVER_RETIRE_UNKNOWN", "ERR_MAKEWINDOW_BAD_BLOCK_ONLY", 
"ERR_MAKEWINDOW_BAD_CELL_SIZE", "ERR_MAKEWINDOW_BAD_I", "ERR_MAKEWINDOW_BAD_J", 
"ERR_MAKEWINDOW_BAD_XLL", "ERR_MAKEWINDOW_BAD_YLL", "ERR_MAKEWINDOW_UNKNOWN", 
"ERR_MVREP_BAD_I", "ERR_MVREP_BAD_J", "ERR_MVREP_BAD_TARGET", 
"ERR_MVREP_BAD_TEMPLATE", "ERR_MVREP_UNKNOWN", "ERR_PATCH_SCAN_BAD_I", 
"ERR_PATCH_SCAN_BAD_J", "ERR_PATCH_SCAN_BAD_LAND_PTR", "ERR_PATCH_SCAN_BAD_NB_TYPE", 
"ERR_PATCH_SCAN_BAD_PATCH_COUNT_PTR", "ERR_PATCH_SCAN_UNKNOWN", 
"ERR_READBLOCK_BAD_BLOCK_POINTER", "ERR_READBLOCK_BAD_BUFFER_SIZE", 
"ERR_READBLOCK_BAD_COL_COUNT", "ERR_READBLOCK_BAD_COL_START", 
"ERR_READBLOCK_BAD_GRID_NAME", "ERR_READBLOCK_BAD_ROW_COUNT", 
"ERR_READBLOCK_BAD_ROW_START", "ERR_READBLOCK_UNKNOWN", "ERR_READGRID_BAD_GRID_NAME", 
"ERR_READGRID_BAD_RESULT_POINTER", "ERR_READGRID_UNKNOWN", "ERR_SETWINDOW_BAD_BLOCK_ONLY", 
"ERR_SETWINDOW_BAD_CELL_SIZE", "ERR_SETWINDOW_BAD_GRID_NAME", 
"ERR_SETWINDOW_BAD_I", "ERR_SETWINDOW_BAD_J", "ERR_SETWINDOW_BAD_XLL", 
"ERR_SETWINDOW_BAD_YLL", "ERR_SETWINDOW_UNKNOWN", "ERR_SPARSEGET_BAD_INDEX_VALUES", 
"ERR_SPARSEGET_BAD_INDEXES", "ERR_SPARSEGET_BAD_SOURCE", "ERR_SPARSEGET_BAD_VALUES", 
"ERR_SPARSEGET_BAD_X_COUNT", "ERR_SPARSEGET_BAD_Y_COUNT", "ERR_SPARSEGET_BAD_Z_COUNT", 
"ERR_SPARSEGET_UNKNOWN", "ERR_SPARSEPUT_BAD_INDEX_VALUES", "ERR_SPARSEPUT_BAD_INDEXES", 
"ERR_SPARSEPUT_BAD_TARGET", "ERR_SPARSEPUT_BAD_VALUES", "ERR_SPARSEPUT_BAD_X_COUNT", 
"ERR_SPARSEPUT_BAD_Y_COUNT", "ERR_SPARSEPUT_BAD_Z_COUNT", "ERR_SPARSEPUT_UNKNOWN", 
"ERR_SPREAD_BAD_ALLOC", "ERR_SPREAD_BAD_I", "ERR_SPREAD_BAD_I_FOCAL", 
"ERR_SPREAD_BAD_J", "ERR_SPREAD_BAD_J_FOCAL", "ERR_SPREAD_BAD_RESISTANCE", 
"ERR_SPREAD_BAD_SPREAD_VALUE", "ERR_SPREAD_UNKNOWN", "ERR_WETSPREAD_BAD_COL_COUNT", 
"ERR_WETSPREAD_BAD_INFLUENCE_MATRIX", "ERR_WETSPREAD_BAD_RESISTANCE_MATRIX", 
"ERR_WETSPREAD_BAD_ROW_COUNT", "ERR_WETSPREAD_BAD_SPREAD_VALUE", 
"ERR_WETSPREAD_BAD_START_COL", "ERR_WETSPREAD_BAD_START_ROW", 
"ERR_WETSPREAD_BAD_STREAMFLOW_MATRIX", "ERR_WETSPREAD_UNKNOWN", 
"ERR_WRITEBLOCK_BAD_BLOCK_POINTER", "ERR_WRITEBLOCK_BAD_COL_COUNT", 
"ERR_WRITEBLOCK_BAD_COL_START", "ERR_WRITEBLOCK_BAD_GRID_NAME", 
"ERR_WRITEBLOCK_BAD_ROW_COUNT", "ERR_WRITEBLOCK_BAD_ROW_START", 
"ERR_WRITEBLOCK_BAD_TRANSPARENCY_OPTION", "ERR_WRITEBLOCK_UNKNOWN", 
"ERR_WRITEGRID_BAD_COL_COUNT", "ERR_WRITEGRID_BAD_GRID_NAME", 
"ERR_WRITEGRID_BAD_RESULT_POINTER", "ERR_WRITEGRID_BAD_ROW_COUNT", 
"ERR_WRITEGRID_UNKNOWN", "ERR_ZDENSITY_BAD_LENGTH", "ERR_ZDENSITY_BAD_X", 
"ERR_ZDENSITY_UNKNOWN", "GRID_SERVER_ACCESS_ERR_GRIDACCESSWINDOWEXISTS", 
"GRID_SERVER_ACCESS_ERR_GRIDALREADYEXISTS", "GRID_SERVER_ACCESS_ERR_GRIDBADDIMENSIONS", 
"GRID_SERVER_ACCESS_ERR_GRIDCANNOTCOPY", "GRID_SERVER_ACCESS_ERR_GRIDCANNOTCREATE", 
"GRID_SERVER_ACCESS_ERR_GRIDCANNOTFIND", "GRID_SERVER_ACCESS_ERR_GRIDCANNOTOPEN", 
"GRID_SERVER_ACCESS_ERR_GRIDCANNOTREAD", "GRID_SERVER_ACCESS_ERR_GRIDCANNOTWRITE", 
"GRID_SERVER_ACCESS_ERR_GRIDIOEXCEPTION", "GRID_SERVER_ACCESS_ERR_GRIDMEMALLOC", 
"GRID_SERVER_ACCESS_ERR_GRIDNOACCESSWINDOW", "GRID_SERVER_ACCESS_ERR_GRIDSERVERRETIREBADIOMODE", 
"GRID_SERVER_ACCESS_ERR_GRIDTOOBIG", "GRID_SERVER_ACCESS_ERR_PACKFUNCTION", 
"GRID_SERVER_ACCESS_ERR_PACKMALFORMED", "GRID_SERVER_ACCESS_ERR_PACKNULL", 
"GRID_SERVER_ACCESS_ERR_PACKVERSION", "GRID_SERVER_ACCESS_ERR_UNKNOWN"
), class = "factor"), code = structure(c(1L, 21L, 22L, 23L, 24L, 
25L, 26L, 49L, 50L, 51L, 52L, 53L, 69L, 70L, 71L, 72L, 73L, 74L, 
75L, 76L, 77L, 78L, 79L, 80L, 81L, 82L, 83L, 84L, 85L, 86L, 87L, 
88L, 89L, 90L, 91L, 92L, 93L, 94L, 95L, 188L, 189L, 190L, 191L, 
192L, 193L, 194L, 27L, 28L, 29L, 30L, 31L, 32L, 54L, 55L, 56L, 
57L, 58L, 59L, 33L, 34L, 35L, 36L, 37L, 38L, 39L, 40L, 41L, 42L, 
43L, 44L, 45L, 46L, 47L, 48L, 60L, 61L, 62L, 63L, 64L, 65L, 66L, 
67L, 68L, 183L, 184L, 185L, 186L, 187L, 111L, 112L, 113L, 114L, 
115L, 116L, 117L, 118L, 119L, 120L, 121L, 122L, 123L, 128L, 129L, 
130L, 131L, 132L, 133L, 134L, 135L, 124L, 125L, 136L, 137L, 138L, 
139L, 140L, 141L, 142L, 143L, 144L, 145L, 146L, 147L, 148L, 149L, 
150L, 151L, 171L, 172L, 173L, 177L, 178L, 179L, 180L, 181L, 182L, 
174L, 175L, 176L, 152L, 153L, 154L, 155L, 156L, 157L, 158L, 159L, 
160L, 161L, 162L, 163L, 96L, 97L, 98L, 99L, 100L, 101L, 102L, 
103L, 104L, 105L, 106L, 107L, 108L, 109L, 110L, 164L, 165L, 166L, 
167L, 168L, 169L, 170L, 126L, 127L, 2L, 3L, 4L, 5L, 6L, 7L, 8L, 
9L, 10L, 11L, 12L, 13L, 14L, 15L, 16L, 17L, 18L, 19L, 20L), .Label = c("-100", 
"-10001", "-10002", "-10003", "-10004", "-10005", "-10006", "-10007", 
"-10008", "-10009", "-10010", "-10011", "-10012", "-10013", "-10014", 
"-10015", "-10016", "-10017", "-10018", "-10019", "-101", "-102", 
"-103", "-104", "-105", "-106", "-120", "-121", "-122", "-123", 
"-124", "-125", "-140", "-141", "-142", "-143", "-144", "-145", 
"-146", "-147", "-160", "-161", "-162", "-163", "-164", "-165", 
"-166", "-167", "-200", "-201", "-202", "-203", "-204", "-220", 
"-221", "-222", "-223", "-224", "-225", "-240", "-241", "-242", 
"-243", "-244", "-245", "-246", "-247", "-248", "-300", "-301", 
"-302", "-303", "-304", "-305", "-306", "-307", "-320", "-321", 
"-322", "-323", "-324", "-325", "-326", "-327", "-400", "-401", 
"-402", "-500", "-501", "-502", "-503", "-504", "-505", "-506", 
"-507", "-520", "-522", "-523", "-524", "-525", "-526", "-528", 
"-600", "-601", "-602", "-603", "-604", "-605", "-606", "-608", 
"-620", "-621", "-622", "-623", "-624", "-625", "-626", "-627", 
"-628", "-629", "-630", "-631", "-632", "-640", "-641", "-650", 
"-651", "-660", "-661", "-662", "-680", "-681", "-682", "-683", 
"-684", "-700", "-701", "-702", "-703", "-704", "-705", "-706", 
"-707", "-720", "-721", "-722", "-723", "-724", "-725", "-726", 
"-727", "-740", "-741", "-742", "-743", "-744", "-745", "-746", 
"-747", "-748", "-749", "-750", "-751", "-760", "-762", "-763", 
"-764", "-765", "-766", "-768", "-780", "-781", "-782", "-800", 
"-801", "-802", "-820", "-821", "-822", "-823", "-824", "-825", 
"-840", "-841", "-842", "-843", "-844", "-860", "-861", "-862", 
"-863", "-864", "-865", "-866"), class = "factor"), warning.only = c(FALSE, 
FALSE, FALSE, FALSE, FALSE, FALSE, FALSE, FALSE, FALSE, FALSE, 
FALSE, FALSE, FALSE, FALSE, FALSE, FALSE, FALSE, FALSE, FALSE, 
FALSE, FALSE, FALSE, FALSE, FALSE, FALSE, FALSE, FALSE, FALSE, 
FALSE, FALSE, FALSE, FALSE, FALSE, FALSE, FALSE, FALSE, FALSE, 
FALSE, FALSE, FALSE, FALSE, FALSE, FALSE, FALSE, FALSE, FALSE, 
FALSE, FALSE, FALSE, FALSE, FALSE, FALSE, FALSE, FALSE, FALSE, 
FALSE, FALSE, FALSE, FALSE, FALSE, FALSE, FALSE, FALSE, FALSE, 
FALSE, FALSE, FALSE, FALSE, FALSE, FALSE, FALSE, FALSE, FALSE, 
FALSE, FALSE, FALSE, FALSE, FALSE, FALSE, FALSE, FALSE, FALSE, 
FALSE, FALSE, FALSE, FALSE, FALSE, FALSE, FALSE, FALSE, FALSE, 
TRUE, FALSE, FALSE, FALSE, FALSE, FALSE, FALSE, FALSE, FALSE, 
FALSE, FALSE, FALSE, FALSE, FALSE, FALSE, FALSE, FALSE, FALSE, 
FALSE, FALSE, FALSE, FALSE, FALSE, FALSE, FALSE, FALSE, FALSE, 
FALSE, FALSE, FALSE, FALSE, FALSE, FALSE, FALSE, FALSE, FALSE, 
FALSE, FALSE, FALSE, FALSE, FALSE, FALSE, FALSE, FALSE, FALSE, 
FALSE, FALSE, FALSE, FALSE, FALSE, FALSE, FALSE, FALSE, FALSE, 
FALSE, FALSE, FALSE, FALSE, FALSE, FALSE, FALSE, FALSE, FALSE, 
FALSE, FALSE, FALSE, FALSE, FALSE, FALSE, FALSE, FALSE, FALSE, 
FALSE, FALSE, FALSE, FALSE, FALSE, FALSE, FALSE, FALSE, FALSE, 
FALSE, FALSE, FALSE, FALSE, FALSE, FALSE, FALSE, FALSE, FALSE, 
FALSE, FALSE, FALSE, FALSE, FALSE, FALSE, FALSE, FALSE, FALSE, 
FALSE, FALSE, FALSE, FALSE)), .Names = c("error", "code", "warning.only"
), row.names = c(NA, -194L), class = "data.frame")
