if(FALSE){
  source="c:/temp/gridiotest/makemosaic/demmosaic/"
  copy="c:/temp/gridiotest/makemosaic/demmosaic2"
  g <- readgrid(copy)
}
gridcopy <- function(source, copy){
  if(ismosaic(source, lock=anthillrunning())){
    copy <- gsub("(/|\\\\)$", "", copy) # drop trailing /
    if(file.exists(copy)) stop(copy, "already exists.")
    dir.create(copy)
    file.copy(from=source, to=copy, overwrite=FALSE, recursive=TRUE)
  } else{
    #  source <- shortpath(source)
    # copy.dir <- gsub("[/\\\\][^/\\\\]*$", "", copy)
    #copy.file <- gsub("^.*[/\\\\]", "", copy)
    #copy.dir <- shortpath(copy.dir)
    #copy <- paste(copy.dir, "/", copy.file, sep="")
    done <- FALSE
    .status$gsdowntime <- 0  # The amount of time the gridserver has been down
    while(!done){  
      st <- system.time({
        r <- .C("R_gridcopy", as.integer(0), as.character(source), as.character(copy),
                PACKAGE="caps_lib")
      })
      .status$gridwait <- .status$gridwait + as.numeric(st[3])
      
      done <- .donetrying(code=r[[1]], st, reset=FALSE)    
    }
    
    parseerror(r[1], "gridcopy")
    invisible()
  } # end standard grid (not mosaic)
} # end function
