print.griddescription <- function(x, ...){
  cat("A grid description with elements:\n", sep="") 
  
  printlist <- function(x, level=1){
    ns <- names(x)
    ml <- max(nchar(ns))
    nsf <- substr(paste(ns, paste(rep(" ", ml), collapse="")), 1, ml+1) # formated names
    
    for(i in 1:length(ns)){
      space <- paste(rep("  ", level), collapse="")
      cat(space, nsf[i], ": ", sep="")
      if(is.list(x[[i]])){
        cat("list :\n")
        printlist(x[[i]], level+1)
      } else{
        if(ns[i] == "panemap"){
          cat("(logical)", paste(as.character(as.numeric(x[[i]])), collapse =""), "\n")
        } else {
          cat( as.character(x[[i]]), "\n")   
        }
      }
    }
  }
  printlist(x)
}