restoreconnections <- function(x){
  # arguments: 
  # x : the .statusult of a call to saveconnections
  #
  cleanup()
  if(nrow(x$connections) == 0){
    return(invisible())
  }
  
  .status$connections <- x$connections
  .status$tilescheme <- x$tilescheme
  .status$subtilescheme <-  x$subtilescheme
  .status$activeconnection  <- x$activeconnection
  .status$working.resolution <-  x$working.resolution
  .status$mosaic <- x$mosaic
  .status$mosaicwindow <- x$mosaicwindow
  .status$referencewindow <- x$referencewindow
  .status$as.mosaic <- x$as.mosaic
  
  if(is.na(.status$activeconnection$connection)) return(invisible())
    
  con <- .status$activeconnection$connection
  local <- .status$activeconnection$cache || .status$connections$local[con]
  
  if(local){
    .gridinit(server="/.", local=TRUE, log=.status$connections$log[con])
    w <- as.list(.status$connections[con, ])
    if(!is.na(w$xll))
      .makewindow(nrow=w$nrow, ncol=w$ncol, xll=w$xll, yll=w$yll, cellsize=w$cellsize)
  } else {
    .gridinit(server=.status$connections$server[con], local=FALSE, 
              port=.status$connections$port[con], log=.status$connections$log[con])
  }
    
}
