setwindow.list <-
function(x, ...){
#  setwindow method for list objects  Jan 2011 Ethan Plunkett
#  This method takes any list with the elements : nrow, ncol, xll, yll, cellsize
#    and sets the access window based on those elements. 
#  It allows using the header object or the output of tiledetails to be used 
#    directly in a setwindow(call).  
# 
# Arguments : 
#x : a list object with elements : nrow, ncol, xll, yll, cellsize
# the function sets the access window and modifies the global variable "header" 
#  It's  a convenience wrapper of makewindow 
# Value - the function invisibly returns a named list identical to header.
makewindow(nrow=x$nrow,  ncol=x$ncol, xll=x$xll, yll=x$yll, cellsize=x$cellsize)
} # end setwindow function definition

