if(FALSE){  # example code for quick testing
  library(rgdal)
  pts <- data.frame(x= runif(20, 1, 1000), y =runif(20, 1000, 2000), a=1:20)
  coordinates(pts) <- c("x", "y")
  file <- tempfile()
  writeshape(pts, file=file)
  a <- readshape(file)
}


writeshape <- function(obj, file, ...){
  library(rgdal)
  layer <- gsub("^.*[/\\\\]", "", file)
  layer <- gsub("\\.[Ss][Hh][Pp]$", "", layer) 
  dir <- gsub("[/\\\\][^/\\\\]*$", "", file )
  writeOGR(obj=obj,dsn=dir, layer=layer, driver="ESRI Shapefile", ...)
}


readshape <- function(file, ...){
  library(rgdal)
  layer <- gsub("^.*[/\\\\]", "", file)
  layer <- gsub("\\.[Ss][Hh][Pp]$", "", layer) 
  dir <- gsub("[/\\\\][^/\\\\]*$", "", file )
  readOGR(dsn=dir, layer=layer, ...)  
}
