winopen <- function(x){
  if(missing(x)|| is.na(x) || is.null(x)) x <- getwd()
  stopifnot(is.character(x), length(x) == 1)
  x <- gsub("/", "\\\\", x)
  x <- gsub("\\\\$", "", x) # trim trailing slash
  # Check to see if the file (or dir) exists if not 
  while(!file.exists(x) & grep("\\\\", x))
    x <- gsub("\\\\[^\\\\]*$", "", x) # step up a folder
  shell(paste("explorer", x), intern = FALSE, wait = FALSE)
}