\name{gridio-package}
\alias{gridio-package}
\alias{gridio}
\docType{package}
\title{
Package to read, write, and manipulate ESRI grids
}
\description{
This package provides functions to read and write ESRI grids in their entirety and in pieces.  The pieces may be arbitrary blocks of the grid or regularly arranged tiles. 
}
\details{
\tabular{ll}{
Package: \tab gridio\cr
Type: \tab Package\cr
License: \tab GPL-2\cr
LazyLoad: \tab yes\cr
}
}
\author{
Maintainer: Ethan Plunkett \email{ethan@plunkettworks.com}
}
\keyword{ package }
\seealso{
\code{\link{gridinit}} and \code{\link{setwindow}} should be called prior to other functions in this library.
\code{\link{tileinit}} should be called prior to \code{\link{readtile}} and \code{\link{writetile}}.
}

