\name{overlap}
\alias{overlap}

\title{
function to determine if two objects containing extent information overlap.
}
\description{
Function to determine if two objects containing extent information overlap. The objects must be lists with xll, yll, nrow, ncol, and cellsize)  all grids qualify.  The two objects must be in the same projection but don't necessarily have to snap for this function to work.
}
\usage{
overlap(x, y)
}

\arguments{
  \item{x, y}{ A list with items "xll", "yll", "nrow", "ncol", and "cellsize" defining an extent.
}
 
}
\value{ TRUE if they overlap FALSE otherwise.
}
\author{
Ethan Plunkett
}

\seealso{
\code{\link{matchextent}}, \code{\link{overlay}}, \code{\link{gridclip}}
}

\keyword{ spatial}

