gridserver.retire <-
  function(){
    # Retires the gridserver
    done <- FALSE
    .status$gsdowntime <- 0  # The amount of time the gridserver has been down
    while(!done){  
      st <- system.time({
        r <- .C("R_gridserver_retire", integer(1), PACKAGE="caps_lib")
      })
      .status$gridwait <- .status$gridwait + as.numeric(st[3])
      
      done <- .donetrying(code=r[[1]], st, reset=FALSE)    
    }    
    parseerror(r[[1]], "gridlist")
    cleanup() # this resets everything and frees up memory
  }

