nexttile <-
function( ){
# Ethan Plunektt Jan 2011
# This function sets the tile indices (i, j, and tileno in tilescheme) to the next tile
# it invisibly returns TRUE until the tile is indexed past the last tile
# at which point it invisibly returns FALSE and set's tileno, i, and j to zero (in .status$tilescheme)
#  Note - i refers to the tile row number and j the tile column number
  if(.status$tilescheme$tileno == 0) return(invisible(FALSE))  # zero indicates unitialized or finished
  if(.status$tilescheme$j==.status$tilescheme$cols){  # if done with this row start next row
    .status$tilescheme$j <- 1
    .status$tilescheme$i <- .status$tilescheme$i+1   
  } else { # otherwise just move over one column
    .status$tilescheme$j <- .status$tilescheme$j + 1
  }
  if(.status$tilescheme$i > .status$tilescheme$rows){ # if indexing the tile has moved us outside the window
    .status$tilescheme$i <- 0# then set the indices to zero
    .status$tilescheme$j <- 0
    .status$tilescheme$tileno <- 0
    return(invisible(FALSE))
  }
  .status$tilescheme$tileno <- .status$tilescheme$tileno + 1
  if(!is.na(.status$subtilescheme$nc)) stinit() # initialize this tile's sub-tile info
  return(invisible(TRUE))
}

