putcachedir <- function(d, grid, unlock=FALSE){
  
  # Reformat columns
  if(nrow(d) > 0){
    d$sourcedate <- as.character(d$sourcedate, format=.status$timeformat)
    d$cachedate <- as.character(d$cachedate, format=.status$timeformat)
    d$source <- gsub("/", "\\\\", d$source)
    d$cache <- gsub("/", "\\\\", d$cache)
  }
  
  
  # Write File 
  index.path <- getcachepath(grid[1])
  gridiowritetable(x=d, file= index.path, append=FALSE)
  
  if(unlock){
    require(anthill)
    msg <- paste(short.name(), "-R", sep="")
    lp <- paste0(short.name(), " ", index.path) # define lock path
    return.lock(path=lp, message=msg, slash=FALSE) 
  }
}
