setconnection <- function(con){
  # Function to set the connection used by gridio for reading and writing to grids
  # Only one of the two arguments should be used. If both are supplied con will be ignored.
  #   con - the connection number (row index in connection table) to switch the connection to.
  #   pane - the pane number to switch the connection to.
  #     

  if(!con %in% 1:nrow(.status$connections)) stop("con is out of range")
  .status$activeconnection$pendingconnection <- con
  
} 
