writetile <-
function(x, path, coreonly=TRUE, ...){
  buffer <-  .status$tilescheme$buffer
  matches.core <- coincide(x, tiledetails(coreonly=TRUE))
  matches.all  <- coincide(x, tiledetails(coreonly=FALSE))
  if(!any(matches.core, matches.all))
     stop("x doesn't seem to match the current tile in the tile scheme. ", 
          "Use writeblock if you want to write an arbitrary part of a grid")
  if(coreonly & matches.all)  x <- crop(x, buffer=buffer)
  writeblock(x, path=path, ...)
}

