\name{cacheinfo}
\alias{cacheinfo}
\title{
function to report information on the state of the current grid cache
}
\description{
This function reports statistics on the gridcache.
}
\usage{
cacheinfo()
}

\value{
It returns nothing but prints information to the screen.
}
\author{
Ethan Plunkett
}
\note{
There are two types of caching currently implemenented in gridio.  Grid caching 
which this function relates to is the process of storing copies of grids
from a network drive onto a local drive to alleviate network traffic and 
demand on the network drive.

\link[=savegridinfo]{gridinfo caching} is the caching in memory of information yielded by calls to \code{\link{griddescribe}} so that subsequent calls for information on the same grid will be much faster.



}
\examples{

\dontrun{
  cacheinfo()
}

}
