\name{checkgridserver}
\alias{checkgridserver}
\title{
function to check if a gridserver is running
}
\description{
this function checks to see if a gridserver is running
}
\usage{
checkgridserver(server, port)
}

\arguments{
  \item{server}{
The name of the computer running the gridserver
}
  \item{port}{
The port the gridserver is running on.
}
}

\details{
this function calls \code{\link{cleanup}} so it will have a side effect of eliminating preexisting connections.
}
\value{
TRUE if the gridserver is running. FALSE (after a long delay) otherwise.
}
\author{
Ethan Plunkett
}

\seealso{
\code{\link{gridinit}}, \code{\link{mosaicinit}}
}
\keyword{ spatial }

