\name{gridcopy}
\alias{gridcopy}
\title{
Function to copy a grid
}
\description{
This function makes a copy of a grid on disk.
}
\usage{
gridcopy(source, copy)
}
\arguments{
  \item{source}{
the path to the source grid.
}
  \item{copy}{
the path to the destination where the copy will be created.
}
}
\details{
If relative paths are specified they will be relative to the base path specified when \code{\link{gridinit}} is first called.
}

\value{
Nothing is returned by this function.
}
\author{
Ethan Plunkett
}

\seealso{
\code{\link{gridinit}} and \code{\link{setwindow}} must be called prior to this function.   \code{\link{gridlist}}, and \code{\link{griddescribe}} provide information about grids on disk.
\code{\link{gridkill}} and \code{\link{gridcreate}} are other functions that manipulate grids on disk.
}
\examples{
# 
}
\keyword{ spatial }

