\name{makemosaicstitchworkspace}
\alias{makemosaicstitchworkspace}

\title{
Function to make a workspace containing functions for stitching and mosaicing grids
}
\description{
This is here so that Brad can launch R projects on anthill from within APL that will stitch grids.  It's probably not useful for anyone else.
}
\usage{
makemosaicstitchworkspace(workspacepath = "X:/Anthill/mosaicstitch.Rdata", 
                          refgrid = "Z:/LCC/GIS/Work/Ancillary/Reference/ref_ner", 
                          refmosaic = "Z:/LCC/GIS/Work/Ancillary/Reference/ref_ner_m")
}
%- maybe also 'usage' for other objects documented here.
\arguments{
  \item{workspacepath}{
The path where the workspace should be created (an \file{.Rdata} file)
}
  \item{refgrid}{
The path to the reference grid that should be used for stitching.
}
  \item{refmosaic}{
The path to the reference mosaic that should be used for making mosaics.
}
}
\value{
Nothing is returned. A file is created at the specified path.
}
\author{
Ethan Plunkett
}

\seealso{
\code{\link{batchmosaic}}, \code{\link{batchstitch}}, \code{\link{launchbatchmosaic}}, \code{\link{launchbatchstitch}}
}

\keyword{ spatial }
