\name{newmosaic}
\alias{newmosaic}
\title{
function to create a new, empty mosaic grid on disk
}
\description{
this function creates a new mosaic grid on disk matching the currently defined mosaic scheme
}
\usage{
newmosaic(path, as.integer = FALSE)
}
\arguments{
  \item{path}{
the path (including grid name) to the mosaic.
}
  \item{as.integer}{
If TRUE the grid will be created as an integer grid.
}
}
\details{
  This function exists primarily for internal use.  \code{\link{writeblock}} uses it to creating new mosaics as necessary.  It is designed to work in parallel.  
}
\value{
A mosaic is created on disk but nothing is returned.
}
\author{
Ethan Plunkett
}

\seealso{
\code{\link{makemosaic}} creates a mosaic from a standard grid. \code{\link{mosaicinit}} sets up for 
reading and writing mosaics and must be called prior to this function.
}
\keyword{ spatial }
