
# Test conversions to and from SpatialPointsDataFrame 
library(sp)
library(gridio)
x <- rep(c(1,2,3), 4)
y <- rep(1:4, each=3)
z <- 1:12
z[12] <- 20

a <- data.frame(x, y, z)
coordinates(a) <- c("x", "y")
b <- as.grid(a)
c <- as.SpatialPointsDataFrame(b)
d <- as.grid(c)

stopifnot(identical(b, d))

if(FALSE){
  gridded(a) <- TRUE
  image(a)
  plot(d)  
}
